%{?mingw_package_header}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-glib-networking
Version:        2.80.1
Release:        %mkrel 1
Summary:        MinGW Windows glib-networking library

License:        LGPL-2.1-or-later
Group:          Development/Other
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/glib-networking/%{release_version}/glib-networking-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  pkgconfig

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-gnutls >= 2.10
BuildRequires:  mingw32-gsettings-desktop-schemas

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-gnutls >= 2.10
BuildRequires:  mingw64-gsettings-desktop-schemas


%description
This package contains modules that extend the networking support in GIO.


%package -n mingw32-glib-networking
Summary:        MinGW Windows glib-networking library

%description -n mingw32-glib-networking
This package contains modules that extend the networking support in GIO.


%package -n mingw64-glib-networking
Summary:        MinGW Windows glib-networking library

%description -n mingw64-glib-networking
This package contains modules that extend the networking support in GIO.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n glib-networking-%{version}


%build
%mingw_meson -Dlibproxy=disabled -Denvironment_proxy=enabled
%mingw_ninja


%install
%mingw_ninja_install

rm -f %{buildroot}%{mingw32_libdir}/gio/modules/*.dll.a
rm -f %{buildroot}%{mingw64_libdir}/gio/modules/*.dll.a
rm -f %{buildroot}%{mingw32_libdir}/gio/modules/*.la
rm -f %{buildroot}%{mingw64_libdir}/gio/modules/*.la

%mingw_find_lang glib-networking


%files -n mingw32-glib-networking -f mingw32-glib-networking.lang
%license COPYING
%{mingw32_libdir}/gio/modules/libgiognutls.dll
%{mingw32_libdir}/gio/modules/libgioenvironmentproxy.dll
%{mingw32_libdir}/gio/modules/libgiognomeproxy.dll

%files -n mingw64-glib-networking -f mingw64-glib-networking.lang
%license COPYING
%{mingw64_libdir}/gio/modules/libgiognutls.dll
%{mingw64_libdir}/gio/modules/libgioenvironmentproxy.dll
%{mingw64_libdir}/gio/modules/libgiognomeproxy.dll




%changelog
* Sun Jan 26 2025 daviddavid <daviddavid> 2.80.1-1.mga10
+ Revision: 2142471
- new version: 2.80.1

* Mon May 06 2024 daviddavid <daviddavid> 2.80.0-1.mga10
+ Revision: 2062404
- new version: 2.80.0

* Wed Sep 27 2023 tv <tv> 2.78.0-1.mga10
+ Revision: 1991583
- Update to 2.78.0

* Mon Sep 26 2022 tv <tv> 2.74.0-1.mga9
+ Revision: 1892359
- Update to 2.74.0

* Fri Aug 05 2022 ovitters <ovitters> 2.72.2-1.mga9
+ Revision: 1875552
- new version 2.72.2

* Wed Jun 29 2022 ovitters <ovitters> 2.72.1-1.mga9
+ Revision: 1866674
- new version 2.72.1

* Wed Apr 06 2022 tv <tv> 2.72.0-1.mga9
+ Revision: 1846490
- Update to 2.72.0
- Drop unsupported meson options
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Apr 22 2021 ovitters <ovitters> 2.68.1-1.mga9
+ Revision: 1717954
- new version 2.68.1

* Thu Mar 25 2021 ovitters <ovitters> 2.68.0-1.mga9
+ Revision: 1709899
- new version 2.68.0

* Sat Sep 26 2020 tv <tv> 2.66.0-2.mga8
+ Revision: 1630473
- rebuild for new mingw stack

* Sat Sep 12 2020 ovitters <ovitters> 2.66.0-1.mga8
+ Revision: 1624853
- new version 2.66.0

* Fri Aug 07 2020 ovitters <ovitters> 2.65.90-1.mga8
+ Revision: 1611827
- new version 2.65.90

* Thu Jul 09 2020 ovitters <ovitters> 2.65.1-1.mga8
+ Revision: 1603445
- new version 2.65.1

* Fri May 29 2020 ovitters <ovitters> 2.64.3-1.mga8
+ Revision: 1588701
- new version 2.64.3

* Tue Apr 14 2020 ovitters <ovitters> 2.64.2-1.mga8
+ Revision: 1567340
- new version 2.64.2
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 ovitters <ovitters> 2.64.1-1.mga8
+ Revision: 1561266
- new version 2.64.1

* Fri Mar 06 2020 ovitters <ovitters> 2.64.0-1.mga8
+ Revision: 1554466
- new version 2.64.0

* Fri Feb 28 2020 ovitters <ovitters> 2.63.92-1.mga8
+ Revision: 1551304
- new version 2.63.92

* Wed Feb 19 2020 umeabot <umeabot> 2.63.91-2.mga8
+ Revision: 1542373
- Mageia 8 Mass Rebuild
+ ovitters <ovitters>
- new version 2.63.91

* Sat Jan 04 2020 ovitters <ovitters> 2.62.3-1.mga8
+ Revision: 1476305
- new version 2.62.3

* Mon Dec 09 2019 ovitters <ovitters> 2.62.2-1.mga8
+ Revision: 1465545
- new version 2.62.2

* Sat Oct 05 2019 ovitters <ovitters> 2.62.1-1.mga8
+ Revision: 1449386
- new version 2.62.1

* Mon Sep 16 2019 daviddavid <daviddavid> 2.62.0-1.mga8
+ Revision: 1442143
- new version: 2.62.0

* Wed Aug 28 2019 daviddavid <daviddavid> 2.61.2-1.mga8
+ Revision: 1434682
- new version: 2.61.2
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 2.54.1-2.mga7
+ Revision: 1279721
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 2.54.1-1.mga7
+ Revision: 1248029
- new version: 2.54.1

* Wed May 11 2016 tv <tv> 2.48.2-2.mga6
+ Revision: 1012961
- rebuild for new mingw-gnutls

* Wed May 11 2016 tv <tv> 2.48.2-1.mga6
+ Revision: 1012690
- new release

* Thu Apr 07 2016 tv <tv> 2.46.1-1.mga6
+ Revision: 999141
- new release
+ neoclust <neoclust>
- imported package mingw-glib-networking


* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.37.5-1
- Update to 2.37.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.37.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.4-1
- Update to 2.37.4

* Thu May  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.37.1-1
- Update to 2.37.1

* Fri Mar 29 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.36.0-1
- Update to 2.36.0

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.35.9-1
- Update to 2.35.9

* Fri Feb  8 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.35.6-1
- Update to 2.35.6

* Wed Nov 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.34.2-1
- Update to 2.34.2

* Sat Oct 20 2012 Kalev Lember <kalevlember@gmail.com> - 2.34.0-1
- Update to 2.34.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Kalev Lember <kalevlember@gmail.com> - 2.32.1-1
- Update to 2.32.1

* Mon Mar 26 2012 Kalev Lember <kalevlember@gmail.com> - 2.32.0-1
- Update to 2.32.0
- Dropped upstreamed patch

* Fri Mar 16 2012 Kalev Lember <kalevlember@gmail.com> - 2.31.16-3
- Build 64 bit Windows binaries

* Tue Mar 06 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.16-2
- Renamed the source package to mingw-glib-networking (RHBZ #800391)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.31.16-1
- Update to 2.31.16
- Patch to fix linking against pkcs11-enabled gnutls

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.6-1
- Update to 2.31.6
- Dropped upstreamed patch
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Kalev Lember <kalevlember@gmail.com> - 2.30.1-1
- Update to 2.30.1
- Added a patch to fix build without gnome-proxy

* Sun Oct 02 2011 Kalev Lember <kalevlember@gmail.com> - 2.30.0-1
- Update to 2.30.0
- Use automatic mingw dep extraction
- Switch to .xz tarballs

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.6.1-2
- Dropped Requires: pkgconfig (#700348)

* Wed Apr 27 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.6.1-1
- Initial RPM release
